curl https://production.methodfi.com/entities/ent_au22b1fbFJbp8 \
-X PUT \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"individual": {
"first_name": "Kevin",
"last_name": "Doyle",
"email": "kevin.doyle@gmail.com",
"dob": "1997-03-18"
}
}'
const entity = await method.entities.update("ent_au22b1fbFJbp8", {
individual: {
first_name: "Kevin",
last_name: "Doyle",
email: "kevin.doyle@gmail.com",
dob: "1997-03-18",
},
});
entity = method.entities.update('ent_au22b1fbFJbp8', {
'individual': {
'first_name': 'Kevin',
'last_name': 'Doyle',
'email': 'kevin.doyle@gmail.com',
'dob': '1997-03-18',
}
})
{
"id": "ent_au22b1fbFJbp8",
"type": "individual",
"individual": {
"first_name": "Kevin",
"last_name": "Doyle",
"phone": "+15121231111",
"dob": "1997-03-18",
"email": "kevin.doyle@gmail.com",
"ssn_4": null,
"ssn": null
},
"error": null,
"address": {
"line1": "3300 N Interstate 35",
"line2": null,
"city": "Austin",
"state": "TX",
"zip": "78705"
},
"status": "active",
"verification": {
"identity": {
"verified": true,
"matched": true,
"latest_verification_session": "evf_mQ6yr6VVJLNEb",
"methods": []
},
"phone": {
"verified": true,
"latest_verification_session": "evf_P4QXNj93Y9J8L",
"methods": []
}
},
"connect": null,
"credit_score": null,
"products": [
"connect",
"credit_score",
"vehicle"
],
"restricted_products": [
"identity",
"attribute"
],
"subscriptions": [],
"available_subscriptions": [
"connect",
"credit_score"
],
"restricted_subscriptions": [],
"metadata": null,
"created_at": "2023-10-23T05:46:14.550Z",
"updated_at": "2023-10-23T05:46:14.550Z"
}
Entities
Update an Entity
PUT
/
entities
/
{ent_id}
curl https://production.methodfi.com/entities/ent_au22b1fbFJbp8 \
-X PUT \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"individual": {
"first_name": "Kevin",
"last_name": "Doyle",
"email": "kevin.doyle@gmail.com",
"dob": "1997-03-18"
}
}'
const entity = await method.entities.update("ent_au22b1fbFJbp8", {
individual: {
first_name: "Kevin",
last_name: "Doyle",
email: "kevin.doyle@gmail.com",
dob: "1997-03-18",
},
});
entity = method.entities.update('ent_au22b1fbFJbp8', {
'individual': {
'first_name': 'Kevin',
'last_name': 'Doyle',
'email': 'kevin.doyle@gmail.com',
'dob': '1997-03-18',
}
})
{
"id": "ent_au22b1fbFJbp8",
"type": "individual",
"individual": {
"first_name": "Kevin",
"last_name": "Doyle",
"phone": "+15121231111",
"dob": "1997-03-18",
"email": "kevin.doyle@gmail.com",
"ssn_4": null,
"ssn": null
},
"error": null,
"address": {
"line1": "3300 N Interstate 35",
"line2": null,
"city": "Austin",
"state": "TX",
"zip": "78705"
},
"status": "active",
"verification": {
"identity": {
"verified": true,
"matched": true,
"latest_verification_session": "evf_mQ6yr6VVJLNEb",
"methods": []
},
"phone": {
"verified": true,
"latest_verification_session": "evf_P4QXNj93Y9J8L",
"methods": []
}
},
"connect": null,
"credit_score": null,
"products": [
"connect",
"credit_score",
"vehicle"
],
"restricted_products": [
"identity",
"attribute"
],
"subscriptions": [],
"available_subscriptions": [
"connect",
"credit_score"
],
"restricted_subscriptions": [],
"metadata": null,
"created_at": "2023-10-23T05:46:14.550Z",
"updated_at": "2023-10-23T05:46:14.550Z"
}
Updates an Entity with the parameters sent.
Once an Entity’s property has been set, that property can no longer be
updated.
Path Parameters
Body
- Individual
- Corporation
object
Individual information of the Entity. See Individual Entity.
object
Corporation information of the Entity. See Corporation Entity.
object
The Entity’s address. See Entity address.
object
The Entity’s metadata. See Entity metadata.
Returns
Returns the Entity with the updated fields.curl https://production.methodfi.com/entities/ent_au22b1fbFJbp8 \
-X PUT \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"individual": {
"first_name": "Kevin",
"last_name": "Doyle",
"email": "kevin.doyle@gmail.com",
"dob": "1997-03-18"
}
}'
const entity = await method.entities.update("ent_au22b1fbFJbp8", {
individual: {
first_name: "Kevin",
last_name: "Doyle",
email: "kevin.doyle@gmail.com",
dob: "1997-03-18",
},
});
entity = method.entities.update('ent_au22b1fbFJbp8', {
'individual': {
'first_name': 'Kevin',
'last_name': 'Doyle',
'email': 'kevin.doyle@gmail.com',
'dob': '1997-03-18',
}
})
{
"id": "ent_au22b1fbFJbp8",
"type": "individual",
"individual": {
"first_name": "Kevin",
"last_name": "Doyle",
"phone": "+15121231111",
"dob": "1997-03-18",
"email": "kevin.doyle@gmail.com",
"ssn_4": null,
"ssn": null
},
"error": null,
"address": {
"line1": "3300 N Interstate 35",
"line2": null,
"city": "Austin",
"state": "TX",
"zip": "78705"
},
"status": "active",
"verification": {
"identity": {
"verified": true,
"matched": true,
"latest_verification_session": "evf_mQ6yr6VVJLNEb",
"methods": []
},
"phone": {
"verified": true,
"latest_verification_session": "evf_P4QXNj93Y9J8L",
"methods": []
}
},
"connect": null,
"credit_score": null,
"products": [
"connect",
"credit_score",
"vehicle"
],
"restricted_products": [
"identity",
"attribute"
],
"subscriptions": [],
"available_subscriptions": [
"connect",
"credit_score"
],
"restricted_subscriptions": [],
"metadata": null,
"created_at": "2023-10-23T05:46:14.550Z",
"updated_at": "2023-10-23T05:46:14.550Z"
}
⌘I